### Method

# GdkX11 X11Display error_trap_pop

#### Declaration [src]

    int
    gdk_x11_display_error_trap_pop (
      GdkDisplay* display
    )

#### Description [src]

Pops the error trap pushed by gdk_x11_display_error_trap_push(). Will XSync() if necessary and will always block until the error is known to have occurred or not occurred, so the error code can be returned.

If you don’t need to use the return value, gdk_x11_display_error_trap_pop_ignored() would be more efficient.

#### Return value

Returns: | `int`
| X error code or 0 on success.